Subject: IESG Response to Official notice of appeal on suspension rights.

From: The IESG <[email-masked]>
Date: Wed, 24 Sep 2003 09:54:51 -0400

The IESG has reviewed the appeal by Todd Glassey on the
     suspension of his posting rights to the IPR-WG mailing list
     by Harald Alverstrand, AD for the IPR Working Group.

 The appeal consists of three parts. The text is verbatim from Todd's
 appeal (see http://www.ietf.org/IESG/APPEALS/todd-glassey-appeal.txt),
 with labels A/, B/ and C/ added for later reference:

 A/With regard to my posting 20% of the list's traffic, the 2418 clause
     that calls this a Denial of Service Attack is in fact a smoke screen to
     allow the IETF to set limits on how many postings any one person can make,
     but only in arbitrary matters, clearly causing a tortuous interference with
     my participation since issues are being resolved that I cannot participate
     in. And unless the IESG or the IETF is going to formally place a specific
     limit on the number of responses that one can submit to postings, then this
     matter is clearly an act of prejudicial harassment of the IETF Chair and the
     WG Chairs to suppress that the IPR group is essentially not in my opinion
     fixing problems but rather making the process and the disclosure issues more
     painful.

 B/Further, the Chair commented that I had "Threatened legal action" against
     several list members, and I would like to see specific evidence to this
     "fact" as it was used, since I clearly deny that this is true. Please
     produce the specific commentary and explain how it was threatening. What I
     have asked several officers of the IETF and the IESG is whether there is
     financial coverage for them in operating the organization as any good entity
     would have. They have refused to answer this in any way. I have also voiced
     an opinion that the IETF's policies are bringing it head-on into areas where
     legal action will not be avoidable but I have not said specifically that I
     would sue anyone. I don't make silly threats, I act upon the causative
     actions in appropriate manners only.

 C/Finally the commentary that "I have been warned" repeatedly by the WG Chairs
     to not post off topic mailings is ridiculous and contrary to the IETF's
     charter and operating process, and it must formally take notice of this or
     face the problems that this refusal to accept the obvious brings. By their
     very nature, the IETF WG' Lists MUST accept all postings or it is impossible
     to disclose new ideas on the list, making the process of submitting an I-D
     ***the only way that new ideas can be submitted*** or can be vetted and for
     WG Chairs to suppress is contrary to the IETF's operational models (no
     matter how hokey they are) as defined in RFC2026, RFC2223, and RFC2418.

 The answer to each part is as follows:

 A/Todd is questioning the validity and fairness of RFC 2418. However, that
     RFC has a status of BCP and it describes "IETF Working Group Guidelines
     and Procedures". This document was explicitly created by the IETF to 
     provide clear documentation of our current WG Guidelines and Procedures.
     The fact that it is a BCP means that the document went through the formal
     IETF review and approval process (including IETF Last Call), and so that
     means that it has IETF consensus. The ADs and WG chairs are required to
     follow those guidelines and procedures. 
     If Todd (or anyone) feels that these Guidelines and Procedures need to
     be changed, then the normal IETF process needs to be followed to do so.
     Changes and interpretation cannot be forced via an appeal to the IESG.
     Note also, that RFC 2418 does not explicitly discuss a limit on the
     percentage of email that is allowed by one participant. Instead, it 
     gives Guidelines to WG chairs and ADs on how to moderate a WG mailing
     list. The amount of Todd's postings was just one factor in the decision
     to suspend his posting rights. Other factors are in points B/ and C/.

 B/The IESG found at least the following email postings that we consider
     enough evidence of "legal threats to working group members":

     1.on public IPR-WG mailing list:

         http://www1.ietf.org/mail-archive/working-groups/ipr-wg/current/msg01488.html
         http://www1.ietf.org/mail-archive/working-groups/ipr-wg/current/msg01672.html

     2.in emails to individual members (chair(s)):

         see [s3] and [s4] below

     3.in private emails to AD [1] and [2].

 C/Todd is challenging the validness of RFCs 2026, 2223 and 2418.
     These 3 RFCs are all BCP documents, meaning that they have IETF consensus.
     These RFCs document procedures that WG chairs, ADs, and IESG must follow.
     If Todd (or anyone) feels that they need to be changed, then the normal
     IETF process needs to be followed to do so.
     Changes and interpretation cannot be forced via an appeal to the IESG.
     The IESG understands that Todd is not disputing that he has indeed
     been warned multiple times but that he disputes the applicability
     of RFCs 2026, 2223 and 2418 to the IETF WG process. 
     Even if Todd is challenging the statement that multiple warnings were
     given, the IESG has found several emails that prove that the warnings 
     were indeed given, see [s1], [s2], [s3], and

     http://www1.ietf.org/mail-archive/working-groups/ipr-wg/current/msg01558.html
     http://www1.ietf.org/mail-archive/working-groups/ipr-wg/current/msg01634.html
     http://www1.ietf.org/mail-archive/working-groups/ipr-wg/current/msg01778.html
     http://www1.ietf.org/mail-archive/working-groups/ipr-wg/current/msg01862.html
     http://www1.ietf.org/mail-archive/working-groups/ipr-wg/current/msg01736.html

 In summary, the IESG upholds the decision of the IPR-WG WG chairs
 and the AD for the General Area as announced on August 1st, 2003:
           http://www1.ietf.org/mail-archive/working-groups/ipr-wg/current/msg01894.html

 The IESG

 -------- referenced material -----

 [1] email to AD ---------------------------------------------------------------

         -----Original Message-----
         From: todd glassey [mailto:[email-masked]]
         Sent: Friday, June 20, 2003 10:11 AM
         To: Harald Tveit Alvestrand; Robert Barr
         Cc: Contreras, Jorge
         Subject: Fw: IPR WG mailing list "piss off contest"???

         This is what is going to happen when we get to court and I assure you I will
         name Cisco as a co-defendant in this matter.

         Todd Glassey

 [2] email to AD after Todd had posting rights suspended ------------------------

         -----Original Message-----
         From: todd glassey [mailto:[email-masked]]
         Sent: Friday, August 01, 2003 3:46 PM
         To: Harald Tveit Alvestrand; Contreras, Jorge
         Subject: Re: Suspension of Todd's posting rights to the IPR list

         Harald
         You have left me no other option but to take legal action against you and
         the IETF. Who is the formal point of service for the IETF and I assume that
         as a Cisco Employee that they will accept service for you Harald.

         Todd Glassey

 [s1] email from WG chair to Todd Glassey ------------------------------------

         X-Mailer: exmh version 2.6.3 04/04/2003 with nmh-1.0.4
         To: "todd glassey" <[email-masked]>
         cc: [email-masked], [email-masked]
         Subject: Re: draft-savola-ipr-lastcall-02 
         Mime-Version: 1.0
         Content-Type: text/plain; charset=us-ascii
         Date: Wed, 28 May 2003 13:57:13 -0400
         From: "Steven M. Bellovin" <[email-masked]>

         Todd -- your repeated suggestions about how to reorganize the IETF's 
         core processes are off-topic for the IPR working group's mailing list.
         Even if you think our IPR policies are a reason to change our processes,
         the process change itself should be discussed on other mailing lists.
         You've been posting about this repeatedly -- please stop.

         I would also note that over the last week or so, your posts have 
         comprised about 30% of the traffic on the mailing list. It's been seen 
         on many other mailing lists that when one person posts that much, 
         however valid his or her points, it tends to crowd others out. Worse 
         yet, it makes people ignore the list, when they can't keep up with the 
         volume. You should seriously consider slowing down your posting rate.

                                 --Steve Bellovin, http://www.research.att.com/~smb (me)
                                 http://www.wilyhacker.com (2nd edition of "Firewalls" book)

 [s2] From WG chair to Todd Glassey -----------------------------------------

     X-Mailer: exmh version 2.6.3 04/04/2003 with nmh-1.0.4
     To: "todd glassey" <[email-masked]>
     cc: "Contreras, Jorge" <[email-masked]>, [email-masked],
         [email-masked]
     Subject: Re: draft-savola-ipr-lastcall-02 
     Mime-Version: 1.0
     Content-Type: text/plain; charset=us-ascii
     Date: Wed, 28 May 2003 23:02:46 -0400
     From: "Steven M. Bellovin" <[email-masked]>

     Even if I agreed with you about the relationship of our core processes 
     to IPR -- and I don't -- the working group's charter, per the recent 
     "hum", restricts us to clarifying the current policy. I'm not certain 
     what you mean by requiring a disclosure statement when an I-D is 
     "filed"; we are considering the disclosure template draft, but that 
     wasn't the topic of the note of yours that I was objecting to.

     As for the volume issue -- the problem has frequently been discussed on 
     the IESG. Quite a number of ADs -- myself included -- have been unable 
     to keep up with the volume of postings on a number of mailing lists, 
     due in large part to excess postings by a very small number of 
     individuals. I don't know if that qualifies as a "formal proof" -- 
     which I generally associate with mathematics or theoretical computer 
     science -- but it's both first hand and second hand statements.

     Your note below contains a number of personal insults, such as the 
     accusation that I'm trying to make the standards process harder. Such 
     language is inappropriate on IETF mailing lists, and if posted publicly 
     would be further cause for action. (And no, I'm not "angry"; I'm 
     merely trying to run a contentious working group.)

     Let me call your attention to the last paragraph of Section 3.2 of RFC 
     2418:

       As with face-to-face sessions occasionally one or more individuals
       may engage in behavior on a mailing list which disrupts the WG's
       progress. In these cases the Chair should attempt to discourage the
       behavior by communication directly with the offending individual 
       rather than on the open mailing list. If the behavior persists then
       the Chair must involve the Area Director in the issue. As a last
       resort and after explicit warnings, the Area Director, with the
       approval of the IESG, may request that the mailing list maintainer
       block the ability of the offending individual to post to the mailing
       list. (If the mailing list software permits this type of operation.)
       Even if this is done, the individual must not be prevented from
       receiving messages posted to the list. Other methods of mailing list
       control may be considered but must be approved by the AD(s) and the
       IESG.

     Also see http://www.ietf.org/IESG/STATEMENTS/moderated-lists.txt
     for further guidance.

     Note carefully that I'm *not* asserting that your messages (except, of 
     course, for the ad hominem attacks) are irrelevant to the IETF. There 
     are, however, other fora that are appropriate for them, such as the 
     poised mailing list. This mailing list is not the right spot.

     You've made other postings to this list that are on-topic -- that 
     people disagree with you doesn't make them inappropriate. But off-topic 
     postings, accusations about the ethics of the IESG, or, for that 
     matter, repeated postings of the same thing, over and over again, even 
     if relevant, are disruptive. Please refrain.

     In message <031701c32577$a1ddcef0$020aff0a@tsg1>, "todd glassey" writes:
     >Steve - too bad.
     >
     >----- Original Message ----- 
     >From: "Steven M. Bellovin" <[email-masked]>
     >To: "todd glassey" <[email-masked]>
     >Cc: <[email-masked]>; <[email-masked]>
     >Sent: Wednesday, May 28, 2003 10:57 AM
     >Subject: Re: draft-savola-ipr-lastcall-02 
     >
     >
     >> Todd -- your repeated suggestions about how to reorganize the IETF's
     >> core processes are off-topic for the IPR working group's mailing list.
     >
     >No they are not. The core processes of the IETF are the reason that an IPR
     >is needed. Becuase the core processes of the IETF are what require formal
     >disclosure to the people that adopt them. These are specifically what and
     >why this WG was created and I am saying that if there was a disclosure form
     >as part of filing a draft or RFC that this would be unnesceassary. Making
     >the efforts of this WG a waste of time, so that is VERY relevent.
     >
     >So Steve why are you so in favor of making the process harder and more
     >complex? is it to keep people out of creating Internet and Global Standards?
     >or what? 
     >
     >> Even if you think our IPR policies are a reason to change our processes,
     >> the process change itself should be discussed on other mailing lists.
     >> You've been posting about this repeatedly -- please stop.
     >>
     >> I would also note that over the last week or so, your posts have
     >> comprised about 30% of the traffic on the mailing list. It's been seen
     >> on many other mailing lists that when one person posts that much,
     >> however valid his or her points, it tends to crowd others out. 
     >
     >Steve - if I said to my grandfather that i was annoyed becuase of all the
     >postings in a mailing list he would ask me the following questions 
     >
     > 1) Why are you angry
     >
     > 2) is it reasonable? 
     > 
     >and in the first instance, what I would say is that I was pissed off at all
     >the stupid postings and his response would be "why" and of course I would
     >say that they were annoying becuase I had to sort through them all to figure
     >out what was SPAM and what was not. His response would have been to ask me
     >if that was reasonable and I would have had to say that it was an artifact
     >of the way I operated my mailing list, as a text only system rather than a
     >web based one, which made the issues of my being uptight about the postings,
     >my fault.
     >
     >
     >> Worse
     >> yet, it makes people ignore the list, when they can't keep up with the
     >> volume.
     >
     >You know I hate this one in particular - the retort that the many postings
     >to the list chase people away. So my response here is probably unwarranted 
     >but here it is anyway -
     >
     >Oh like they were going to contribute something of value - see if they know
     >the internet and these standards processes and they have a reason to be here
     >they will put up with whatever they have to to get their standard in place.
     >The people that get chased away are probably mostly tire kickers... and
     >unless you can formally disprove that, i will take this issue as closed.
     >
     >On another point though - what does keeping up with the volume mean anyway?
     >Do you read every posting on all the lists your on. You mean you actually
     >read everything I write which I seriously doubt - or is this more of your
     >just tired of seeing messages with my name on them? 
     >
     >> You should seriously consider slowing down your posting rate.
     >
     >Thanks for the advice. The IETF should come out of the stone age since it
     >requres email and a website to register anyway.
     >
     >>
     >> --Steve Bellovin, http://www.research.att.com/~smb (me)
     >> http://www.wilyhacker.com (2nd edition of "Firewalls" book)
     >>
     >>
     >
                     --Steve Bellovin, http://www.research.att.com/~smb (me)
                                 http://www.wilyhacker.com (2nd edition of "Firewalls" book)

 [s3] From WG chair to Todd Glassey -----------------------------------------

     X-Mailer: exmh version 2.6.3 04/04/2003 with nmh-1.0.4
     To: "todd glassey" <[email-masked]>
     cc: "Harald Tveit Alvestrand" <[email-masked]>,
         "Lynn St.Amour" <[email-masked]>,
         "vint cerf" <[email-masked]>,
         "Contreras,
         Jorge" <[email-masked]>,
         "Robert Barr" <[email-masked]>, [email-masked]
     Subject: Re: FLAWS in the Standards Process... 
     Mime-Version: 1.0
     Content-Type: text/plain; charset=us-ascii
     Date: Mon, 09 Jun 2003 09:55:49 -0400
     From: "Steven M. Bellovin" <[email-masked]>

     In message <006401c32e43$e49d33a0$020aff0a@tsg1>, "todd glassey" writes:
     >Steven (and Harald) this was the only posting I made to this list today and
     >you threatened to have me censured for it, that's a little over the edge
     >don't you think Steve? Aside from that you are both wrong and this was a
     >totally reasonable set of questions.
     >
     >You know, I suggest that your behavior is not appropriate for a member of a
     >global standards management team, and that you should be formally brought up
     >on a complaint because of this.
     >
     >I believe this type of behavior is a liability to both your sponsors and to
     >the IETF itself. 
     >

     Todd, you have repeatedly posted off-topic, insulting, and (arguably) 
     libelous messages to this mailing list. I've received complaints about 
     your postings; the one where you suggested that Bert Wijnen was trying
     to create liability was particularly egregious. (For those who aren't 
     on the list, I'm referring to your message of June 2 where you said

                 that means that the IP's that are submitted are
                 complete otherwise the IETF's editors will have a further liability
                 for their actions, unless perhaps that was your intent here.

     Looking at the situation more narrowly, Rob and I are trying to run a
     very contentious working group. Doing so effectively and fairly means
     permitting discussion of appropriate open issues. But it also means 
     that off-topic posts are not permitted, nor are repeated attempts to 
     reopen closed questions. The IPR working group has no ability and no 
     right to change the fundamental nature of the IETF; thus, such posts 
     are inappropriate on its mailing list. Your post was even entitled 
     "FLAWS in the Standards Process", which is not related to the IPR 
     question.

     Concerns about the structure of the IETF or the overall flow of its 
     standards process are appropriate for the POISED mailing list. You're 
     well aware of that; you cross-posted to it.

     You've also called for a fairly radical change in how IPR issues are 
     handled. That was on-topic and appropriate until the decision last 
     April against radical changes. It is no longer appropriate, just as
     calls for the IETF to adopt a RAND policy are no longer appropriate on
     this list. Again -- this isn't an open, free-flowing forum; we have 
     plenty of those, and I have no desire (nor, of course, the right) to 
     stop you from speaking out in such fora. This is a working group 
     mailing list; its topic is the business of the working group.

     You're not the first person whom Rob and I have admonished about 
     staying on-topic. We sincerely hope that we won't have to send any 
     more such messages. 

     >
     >----- Original Message ----- 
     >From: "Steven M. Bellovin" <[email-masked]>
     >To: "Harald Tveit Alvestrand" <[email-masked]>
     >Cc: "todd glassey" <[email-masked]>; "Contreras, Jorge"
     ><[email-masked]>; "Scott W Brim" <[email-masked]>; "Scott
     >Bradner" <[email-masked]>; <[email-masked]>; <[email-masked]>;
     >"Lynn St.Amour" <[email-masked]>; "vint cerf" <[email-masked]>;
     >"Robert Barr" <[email-masked]>; <[email-masked]>
     >Sent: Sunday, June 08, 2003 5:30 PM
     >Subject: Re: FLAWS in the Standards Process... 
     >
     >
     >In message <[email-masked]>,
     >Harald Tveit Alvestrand writes:
     >>
     >>The standards process' requirements for Draft Standard is
     >>
     >> A specification from which at least two independent and interoperable
     >> implementations from different code bases have been developed, and
     >> for which sufficient successful operational experience has been
     >> obtained, may be elevated to the "Draft Standard" level.
     >>
     >>It says nothing at all about the implementations being owned by different
     >>companies.
     >>One person or team implementing the protocol twice would not constitute
     >>"independent" implementations, however. 
     >
     >As Harald has said, independent ownership isn't the point. The reason
     >for the "two independent implementations" rule is so that we know that
     >the spec is clear enough that two different implementors can follow it
     >successfully. It has nothing to do with IPR.
     >
     >I would also note -- wearing my IPR chair hat -- that cross-posts
     >between the IPR working group and POISED are almost always
     >inappropriate. This post certainly is -- it has nothing whatsoever to
     >do with the charter of this group. Please stop such off-topic posts -- 
     >NOW. Note that you have previously be warned privately, pursuant to
     >RFC 2418. 
     >
     >
     >--Steve Bellovin, http://www.research.att.com/~smb (me)
     >http://www.wilyhacker.com (2nd edition of "Firewalls" book) 
     >
     >
                                 --Steve Bellovin, http://www.research.att.com/~smb (me)
                                 http://www.wilyhacker.com (2nd edition of "Firewalls" book)

 [s4] From WG chair to Todd Glassey ----------------------------------------

     X-Mailer: exmh version 2.6.3 04/04/2003 with nmh-1.0.4
     To: "todd glassey" <[email-masked]>
     cc: [email-masked],
         "Harald Tveit Alvestrand" <[email-masked]>,
         "Lynn St.Amour" <[email-masked]>,
         "vint cerf" <[email-masked]>,
         "Contreras,
         Jorge" <[email-masked]>
     Subject: Re: FLAWS in the Standards Process... 
     Mime-Version: 1.0
     Content-Type: text/plain; charset=us-ascii
     Date: Mon, 09 Jun 2003 20:52:56 -0400
     From: "Steven M. Bellovin" <[email-masked]>

     In message <014a01c32eb1$9762ceb0$020aff0a@tsg1>, "todd glassey" writes:
     >No Steven -
     >I believe that you are patently wrong about your commentary here and I
     >believe that you have opened the IETF to a serious legal liability in
     >threatening me officially and publicly as a WG Chair... and because of that
     >I am seeking legal counsel before responding 
     >
     >I suggest that you do the same and then we can start a discussion on the
     >settlement here since you are representing the IETF in this matter. 
     >

     Since you've cc'd Jorge, that's done as far as the IETF counsel is 
     concerned.

                                 --Steve Bellovin, http://www.research.att.com/~smb (me)
                                 http://www.wilyhacker.com (2nd edition of "Firewalls" book)

 -30-

_______________________________________________
Ipr-wg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ipr-wg

---

From: "todd glassey" <[email-masked]>
Date: Wed, 24 Sep 2003 12:16:48 -0700

I should have assumed as such - but what is it that this review actually
reviewed and who were the people involved... were they by chance the same
people that made the original decision?

more inline below.

----- Original Message -----
From: "The IESG" <[email-masked]>
To: "Todd Glassey" <[email-masked]>
Cc: <[email-masked]>; <[email-masked]>; <IETF-Announce:>
Sent: Wednesday, September 24, 2003 6:54 AM
Subject: IESG Response to Official notice of appeal on suspension rights.

>      1.on public IPR-WG mailing list:
http://www1.ietf.org/mail-archive/working-groups/ipr-wg/current/msg01488.htm
l

You need to read the evidence that you cite. This posting points out a legal
liability that the WG Chairs face, and is not a threat of legal action
against any one person or group of named people.

http://www1.ietf.org/mail-archive/working-groups/ipr-wg/current/msg01672.htm
l
>      3.in private emails to AD [1] and [2].

Nothing that happens in PRIVATE EMAILS may be included herein since they are
not part of the public concensus.

>      These 3 RFCs are all BCP documents, meaning that they have IETF
consensus.

NO that is not what it means. I am challenging the ambiguity of the content
of the documents, not the process itself.

>      These RFCs document procedures that WG chairs, ADs, and IESG must
follow.

NO it doesnt - it structures a loose process with so much wiggle-room at the
individual-iniative level that there is no possibility that any two
initiative will get the same treatment.

>      IETF process needs to be followed to do so.

Except that you and the IESG are desperate to see these changes stopped
since it is you that needs to ervolve. The IETF is not the MATRIX but if you
want to make this that type of issue - we can.

My point is that the process has loopholes in it that are clearly being
abused.

>      Changes and interpretation cannot be forced via an appeal to the
IESG.

Why not - if the POISED WG puts in place a process and the IESG adopts it
and its BROKEN or patently illegal then YES the IESG must change its
operating policies or suffer the consequences.

>      of RFCs 2026, 2223 and 2418 to the IETF WG process.

The problem is that an IETF WG Chair by pure terms cannot stifle push-back
on the mailing list or then the list becomes adversarial to the new
initiatives. And that ruins the openness of the IETF. What this pushback
does is edits the "concensus" that goes into any standard and that's the
problem since it means that the IETF is not open nor fair, but rather a
policitcally tainted hall of secrets...

>      were indeed given, see [s1], [s2], [s3], and
http://www1.ietf.org/mail-archive/working-groups/ipr-wg/current/msg01558.htm
l
http://www1.ietf.org/mail-archive/working-groups/ipr-wg/current/msg01634.htm
l
http://www1.ietf.org/mail-archive/working-groups/ipr-wg/current/msg01778.htm
l
http://www1.ietf.org/mail-archive/working-groups/ipr-wg/current/msg01862.htm
l
http://www1.ietf.org/mail-archive/working-groups/ipr-wg/current/msg01736.htm
l

Did anyone check to see if any of the postings were repeats or what the time
line was between the postings or whether there were separate retorts that
were being repsonded to...

>  and the AD for the General Area as announced on August 1st, 2003:
http://www1.ietf.org/mail-archive/working-groups/ipr-wg/current/msg01894.htm
l

I figured it would. Fine - we will now take this to the next stage... WHO
voted and what way did they vote - This is not a secret tribunal.

>  [1] email to
AD ---------------------------------------------------------------
>  [s1] email from WG chair to Todd
Glassey ------------------------------------
Worse
>  [s2] From WG chair to Todd
Glassey -----------------------------------------
>  [s3] From WG chair to Todd
Glassey -----------------------------------------
>  [s4] From WG chair to Todd
Glassey ----------------------------------------

---

From: "Spencer Dawkins" <[email-masked]>
Date: Wed, 24 Sep 2003 15:54:55 -0500

Dear Todd,

But this posting is STILL off-topic for IPR!

It would be on-topic for [email-masked], the general discussion list
for the IETF, so I'm not trying to stifle you (honestly). It's just
not on-topic for IPR.

Spencer

----- Original Message ----- 
From: "todd glassey" <[email-masked]>
To: "The IESG" <[email-masked]>
Cc: "Contreras, Jorge" <[email-masked]>;
<[email-masked]>
Sent: Wednesday, September 24, 2003 2:16 PM
Subject: Re: IESG Response to Official notice of appeal on suspension
rights.